﻿;;;-*- Mode: Lisp; Package: "XXXXX" -*-
;;;===============================================================================
;;;14/07/22
;;;             NEWS PA ENGLISH ONTOLOGY (file SHARED-ONTOLOGY-EN.lisp)
;;;             Copyright Barthès@UTC, 2014
;;;
;;;===============================================================================

;;; This ontology is intended to be shared by English speaking PAs in the NEWS
;;; application 
#|
2014
 0329 created after SHARED-ONTOLOGY
 0722 updated and cleaned
|#

;;;(defpackage XXXXX (:use :moss :omas :cl))
;;;(in-package XXXXX) 

(defontology 
  (:title "XXXXX ontology")
  (:version "1.0")
  (:language :en)
  )

;;;=============================================================================== 
;;;
;;;                              CONCEPTS
;;;
;;;=============================================================================== 

;;;------------------------------------------------------------------------ PERSON

(defconcept "person"
  (:att "name" (:entry))
  (:att "first name"(:entry))
  (:rel "personal assistant" (:to "omas agent"))
  )

;;;=============================================================================== 
;;;
;;;                                METHODS
;;;
;;;=============================================================================== 

;;;------------------------------------------------------------- (PERSON) =summary

(definstmethod =summary PERSON ()
  (has-name))

;;;=============================================================================== 
;;;
;;;                               INDIVIDUALS
;;;
;;;=============================================================================== 

;;; create the representation for the agent

;;;(defindividual "omas agent"
;;;    ("ag name" XXXXX)
;;;  ("ag key" :XXXXX)
;;;  ("ag language" :EN))

;;; XXXXX has been defined as an omas-agent when created

;;; if master-identity is not filled, then we assume that the MASTER's name is the
;;; same as the agent's name and create the corresponding person

;;; This is done by the function make-master-reference, used by the load-agent-ontology
;;; in the omas-W-init file

;;;(if (omas::master-identity PA_XXXXX)
;;;    (apply #'make-individual (omas::master-identity PA_XXXXX))
;;;  (defindividual "person"
;;;      ("name" "XXXXX")
;;;    ("personal assistant" ("omas agent" ("ag-name" :is "XXXXX")))
;;;    ))

;;;=============================================================================== 

:EOF