﻿;;;-*- Mode: Lisp; Package: "CIT" -*-
;;;===============================================================================
;;;12/09/17
;;;                           AGENT POSTMAN :CIT
;;;
;;; Postman to transfer messages from :CIT to remote OMAS platforms
;;;===============================================================================

;;; the postman is only valid for ACL
;;; Note that sites protected by a firewall should specify the GLOBAL IP in the 
;;; send message, NOT the IP of the physical machine that sends the message.

#|
2012
 0917 rewritten adding parameters to the postman definition
|#

(defpackage :CIT (:use :moss :omas :cl))
(in-package :CIT)

;;;===============================================================================
;;;                              Creating postman
;;;===============================================================================
;;; for direct TCP connections

(omas::defpostman :CIT 
	:server t
	:site :CIT
        :internal-ip "219.166.183.60"  ; assumed same as external?
        :external-ip "219.166.183.60"
	;:external-name "agora"  ; external or internal ??
	:known-postmen ((:UTC "nat-omas.utc.fr" "195.83.154.22" :TCP :UTC))
			)

			
;;; for new HTTP connections
;;;(omas::defpostman :CIT 
;;;			:server t
;;;			:http t
;;;			:site :CIT
;;;			:external-ip "219.166.183.60"
;;;			;:external-name "agora"  ; external or internal ??
;;;			:known-postmen ((:UTC "nat-omas.utc.fr" "195.83.154.22" :TCP :CIT))
;;;			;:proxy ??  ; if from behind a firewall
;;;			)

;;;===============================================================================
;;;                                    SKILLS 
;;;===============================================================================

;;; uses default skills

:EOF